org.apache.ivy.osgi.repo

## Class BundleCapabilityAndLocation

- java.lang.Object
- - org.apache.ivy.osgi.repo.BundleCapabilityAndLocation

    public class BundleCapabilityAndLocation
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BundleCapabilityAndLocation(java.lang.String type, java.lang.String name, Version version, BundleInfo bundleInfo)`

### Method Summary

Methods
`BundleInfo` `getBundleInfo()`
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`Version` `getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleCapabilityAndLocation

    public BundleCapabilityAndLocation(java.lang.String type,
                               java.lang.String name,
                               Version version,
                               BundleInfo bundleInfo)

### Method Detail

#### getBundleInfo

    public BundleInfo getBundleInfo()

#### getName

    public java.lang.String getName()

#### getType

    public java.lang.String getType()

#### getVersion

    public Version getVersion()